On Single Edit tab wikis, Section edit link shows both "Edit" and "Edit Source" option , after saving an edit using VisualEditor while having preference "Remember my last editor" and "Always VE"
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  1. Set the preference as "Always give me the VisualEditor if possible"
  2. Have the section editing link enabled
  3. Now click on Edit button
  4. Edit something using VE

5.Save the edit

Observe that , earlier in the section editing link there was just option "Edit", now after saving the edit using VE, "Edit Source" also appearing next to it

This happens when you have preference, "Remember my last editor" enabled and save an edit using VE (where Ve was your last used editor"

Ryasmeen updated the task description. (Show Details)
Ryasmeen raised the priority of this task from to Needs Triage.
Ryasmeen added a project: VisualEditor.
Ryasmeen added a subscriber: Ryasmeen.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 15 2015, 11:48 PM
Ryasmeen set Security to None.Dec 17 2015, 1:01 AM
Ryasmeen added a subscriber: Krenair.

Interesting. After saving, we just call action=parse and return the result to the client to replace the page with.

Krenair added a comment.EditedDec 17 2015, 2:30 AM

Ah, and then try to do some magic that we usually shouldn't be doing in SET. Okay.

Change 259631 had a related patch set uploaded (by Alex Monk):
SET: Don't try to do any client-side section link magic if we're not supposed to.

https://gerrit.wikimedia.org/r/259631

Change 259631 merged by jenkins-bot:
SET: Don't try to do any client-side section link magic if we're not supposed to.

https://gerrit.wikimedia.org/r/259631

Krenair closed this task as Resolved.Dec 23 2015, 11:20 PM
Jdforrester-WMF triaged this task as High priority.Jan 3 2016, 7:44 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF edited a custom field.